### Function: HasGroup(spawn)

**Description:**

Return's true if the Spawn is in a group (If Player) otherwise checks if NPC/Object/Widget is in a Spawn Group.

**Parameters:**
- `spawn` (Spawn) - Spawn object representing `spawn`.

**Returns:** True if criteria is met for Player in a group or NPC/Object/Widget/Sign is in a Spawn Group.

**Example:**

Example Required
